<?php defined('C5_EXECUTE') or die('Access Denied.');

?>

<style>
#ccm-block-form .bank {
    font-size: 0.8em;
}

#ccm-block-form .currency {
    margin-left: 10px;
}

#ccm-block-form .last-updated {
    color: #ff6600;
}

#clear-btn {
    color: #ffffff;
    background-color: #0099ff;
    font-weight: bold;
    outline: none;
    text-decoration: none;
    padding: 0 10px;
    
}

#clear-btn:hover {
    color: #ffffff;
    box-shadow: 5px 5px 5px #333333;
    transition: all .2s linear 0s;
}
</style>

<fieldset>
    <div class="form-group">
        <label class="control-label"><?php echo t('Select bank'); ?></label>
        <div class="radio">
            <label>
                <?php 
                echo $form->radio('bank', 'ECB', $bank ? $bank : 'ECB');
                echo $ECB;
                ?>
            </label>
        </div>
        <div class="radio">
            <label>
                <?php 
                echo $form->radio('bank', 'CBR', $bank ? $bank : 'CBR');
                echo $CBR;
                ?>
            </label>
        </div>
    </div>

    <div class="form-group">
        <label class="control-label"><?php echo t('Clear selected currencies'); ?></label>
        <a href="#" id="clear-btn" class="clear-btn">&#10004;</a>
    </div>
    
    <div class="form-group">
        <label class="control-label"><?php echo t('Select currencies to display'); ?></label>
        <div data-fields="ECB" class="hidden">
            <div class="bank"><?php echo $ECB; ?></div>
            <div class="bank-descr"><?php echo $ECB_descr; ?></div>
            <div class="bank-descr last-updated"><?php echo $last_updated . $ECB_updated; ?></div>
            <div class="rates">
            <?php
            if (empty($ECB_rates)) {
                echo '<span class="error">' . $server_error . '</span>';
            }
            else {
                foreach($ECB_rates as $currency => $rate) {
                    echo '<div>';
                        if (in_array($currency, explode(',', $currency_list))) {
                            echo $form->checkbox('ECB_currencies[]', $currency, true);
                        }
                        else {
                            echo $form->checkbox('ECB_currencies[]', $currency, false);
                        }
                        echo '<span class="currency">' . $currency . ':</span> ' . '<span class="rate">' . $rate . '</span>';
                    echo '</div>';
                }
            }
            ?>
            </div>
        </div>
        <div data-fields="CBR" class="hidden">
            <div class="bank"><?php echo $CBR; ?></div>
            <div class="bank-descr"><?php echo $CBR_descr; ?></div>
            <div class="bank-descr last-updated"><?php echo $last_updated . $CBR_updated; ?></div>
            <div class="rates">
            <?php
            if (empty($CBR_rates)) {
                echo '<span class="error">' . $server_error . '</span>';
            }
            else {
                foreach($CBR_rates as $currency => $rate) {
                    echo '<div>';
                        if (in_array($currency, explode(',', $currency_list))) {
                            echo $form->checkbox('CBR_currencies[]', $currency, true);
                        }
                        else {
                            echo $form->checkbox('CBR_currencies[]', $currency, false);
                        }
                        echo '<span class="currency">' . $currency . ':</span> ' . '<span class="rate">' . $rate . '</span>';
                    echo '</div>';
                }
            }
            ?>
            </div>
        </div>
    </div>
</fieldset>

<script>
$(document).ready(function() {
    switch($('input[name=bank]:checked').val()) {
        case 'ECB':
            $('div[data-fields=ECB]').toggleClass("hidden");
            break;
        case 'CBR':
            $('div[data-fields=CBR]').toggleClass("hidden");
            break;
        default:
            $('div[data-fields=ECB]').toggleClass("hidden");
    }
    $('input[name=bank]').on('change', function() {
        $('div[data-fields]').toggleClass("hidden");
        $('#clear-btn').trigger("click");
    }).trigger('change');
    
    
    $('#ccm-form-submit-button').on('click', function(e){
        if ($('input:checkbox:checked').length <= 0) {
            e.preventDefault();  // stop form from submitting
            e.stopPropagation(); // stop anything else from listening to our event and screwing things up
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Error:')); ?>,
                message: <?php echo json_encode(t('At least one currency must be selected!')); ?>
            });
        }
    });
    
    $('#clear-btn').on('click', function(e){
        $('input:checkbox').removeAttr('checked');
    });
    
});
</script>
